<%flags>inherit='document_base.myt'</%flags>
<&|doclib.myt:item, name="installation", description="Installation", header="Setting Up"&>

	<&|doclib.myt:item, name="requirements", description="Requirements", &>
	<ul>
		<li>Python 2.3.3 or greater.  There is an issue with weakrefs (Python bug id <a href="http://sourceforge.net/tracker/?group_id=5470&atid=105470&func=detail&aid=839548">839548</a>) prior to that version which impacts stability.
		<li>For production webserver usage, a server environment that supports one of: CGI, WSGI, or mod_python.
		<li>For mod_python usage, Apache 1.3/mod_python 2.7 or Apache 2.0/mod_python 3.1.
		<li>Tested platforms:  Linux (RedHat 6.2, RedHat 9), Mac OSX, Solaris, Windows 2000.  Prefork and worker MPMs tested on Apache 2.0.
		<li>Familiarity with the webserver being used and whatever plug-in architecture being used.
	</ul>
	</&>

	<&|doclib.myt:item, name="quick", description="Quick Start - Running the Demo Server", &>
	<p>Myghty includes an out-of-the-box instant-gratification examples/documentation server you can run directly from the distribution files, which listens on port 8000 by default.  Extract the distribution from its .tar.gz file.  Then run the server as follows:</p>

	<&|formatting.myt:code, syntaxtype="cmd" &>
		cd /path/to/Myghty-X.XX/
		python ./tools/run_docs.py
	</&>

	<p>
	Then point a webbrowser to the location <span class="codeline"><a href="http://localhost:8000/">http://localhost:8000/</a>.</span>  An alternative port can be specified on the command line, e.g. <span class="codeline">python ./tools/run_docs.py 8100</span>.
	</p>
	<p>The demo server is a handy tool to browse through a release without having to perform an install.  The underlying HTTP server implementation can also be handy for development and prototyping.</p>
	</&>

	<&|doclib.myt:item, name="install", description="Installing the Library", &>
	
	<p>Myghty installs with the standard Python <span class="codeline">distutils</span> module.  Switch to the user account under which Python is installed, and run:

		<&|formatting.myt:code, syntaxtype="cmd" &>
		cd /path/to/Myghty-X.XX/
		python setup.py install
		</&>

	As some systems may have multiple Python interpreters installed, be sure to use the Python executeable that corresponds to the Python being used by the webserver, such as the mod_python configuration, to insure the files go into the correct library path.  setup.py will precompile the Myghty .py files and install them in the library path for the Python executeable you just ran.  </p>
	</&>

	<&|doclib.myt:item, name="docgen", description="Generating the Documentation", &>

	<p>
	This documentation can also be generated into flat html files that are browseable directly from the filesystem.  Myghty can create these files by running the <span class="codeline">genhtml.py</span> utility:</p>

	<&|formatting.myt:code, syntaxtype="cmd" &>
	cd /path/to/Myghty-X.XX/doc
	python genhtml.py 
	</&>
	
	</&>

	<&|doclib.myt:item, name="componentgen", description="Running Filesystem Components", &>
	
	<p>There is also a generic tool for running any Myghty template either to standard output or to a file.  The command is as follows:</p>

	<&|formatting.myt:code, syntaxtype="cmd" &>
	python tools/gen.py --help
	
	usage: gen.py [options] files...
	
	options:
	  -h, --help            show this help message and exit
	  --croot=COMPONENT_ROOT
	                        set component root (default: ./)
	  --dest=DESTINATION    set destination directory (default: ./)
	  --stdout              send output to stdout
	  --datadir=DATADIR     set data directory (default: dont use data directory)
	  --ext=EXTENSION       file extension for output files (default: .html)
	  --source              generate the source component to stdout
	</&>
	
	</&>
	
</&>


