#!/usr/bin/env python



from distutils.core import setup
import sys

sys.path.append('./lib')

setup(name = "Myghty",
    version = "0.98c",
    description = "View/Controller Framework and Templating Engine",
    author = "Mike Bayer",
    author_email = "mike@myghty.org",
    url = "http://www.myghty.org",
    download_url = "http://www.myghty.org/links.myt?linkid=download",
    packages = ["myghty", "myghty.http"],
    package_dir = {'' : 'lib'},
    license = "GNU Lesser General Public License",
    long_description = """A Python-based template and view-controller framework derived from HTML::Mason. Supports the full featureset of Mason, allowing component-based web development with Python-embedded HTML, and includes many new concepts and features not found in Mason.""",
    classifiers = ["Development Status :: 5 - Production/Stable",
    "Intended Audience :: Developers",
    "License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)",
    "Programming Language :: Python",
    "Topic :: Internet :: WWW/HTTP :: Dynamic Content",
    "Topic :: Text Processing :: Markup"
    ],
    
    )


